/*
<p> * DragBorder.java</p><p>Contains class DragBorder.</p><p>Author: Administrator</p>
 */
package net.iharder.dnd;

import java.awt.BasicStroke;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Insets;
import java.awt.SystemColor;

import javax.swing.border.AbstractBorder;

/**
 * @author Administrator
 * 
 */
public class DragBorder extends AbstractBorder {

	/** Prevent serialization collisions. */
	private static final long serialVersionUID = 6230950260531611025L;

	@Override
	public Insets getBorderInsets(Component c) {
		return new Insets(0, 0, 0, 0);
	}

	@Override
	public void paintBorder(Component c, Graphics graphics, int x, int y,
			int width, int height) {
		super.paintBorder(c, graphics, x, y, width, height);
		Graphics2D g = (Graphics2D) graphics;
		g = (Graphics2D) g.create();
		g.setColor(SystemColor.textHighlight);
		g.setStroke(new BasicStroke(4.0f));
		g.drawRoundRect(x, y, width - 1, height - 1, 8, 8);
		g.dispose();
	}

}
