/* File: TasklikeObject.java
 *
 * Contains class TasklikeObject
 *
 * Author: Will Haines
 */

package edu.cmu.hcii.calo.model;

/**
 * Represents a ManagedObject that is used for the Task Manager. This really
 * exists to maintain typesafety so that Nofications cannot be added to the
 * TaskManager.
 * 
 * @author Will Haines
 */
public abstract class TasklikeObject extends PrioritizedObject {
	// This interface is currently empty.
}
