/*
 * UnknownComponentException.java Contains class UnknownComponentException. Author: Administrator
 */
package edu.cmu.relativelayout;

import java.awt.Container;

/**
 * @author Administrator
 * 
 */
public class UnknownComponentException extends RuntimeException {

	private RelativeVariable variable;
	private Container parent;

	UnknownComponentException(RelativeVariable v, Container parent) {
		this.variable = v;
		this.parent = parent;
	}

	@Override
	public String getMessage() {
		return "A binding refers to the component " + this.variable.getComponent()
				+ ", which has not been added to the parent container " + this.parent + ".";
	}
}
